<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
 th:replace="~{main-layout.html::main-fragment(~{::title},~{::#livres-main-content})}"
>

<head>
<meta charset="UTF-8">
<title>Gestion des livres</title>
</head>
<body>
    <div class="container-fluid" id="livres-main-content">

        <h1>Gestion des livres</h1>
                
        <div class="alert alert-primary" th:if="${!#strings.isEmpty(message)}" th:text="${message}"></div>
        
        <a class="btn btn-primary btn-sm" th:href="@{/admin/livres/add}">Ajouter Livre</a>
         <a class="btn btn-secondary btn-sm" th:href="@{/admin/livres/export}">Export csv</a>
        <table class="table table-striped">
            <thead>
                <tr>
                    <th>Id</th>
                    <th>Titre</th>
                    <th>Année de sortie</th>
                    <th>Prix</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
                <tr th:each="livre : ${livres}">
                    <td th:text=${livre.id}></td>
                    <td th:text=${livre.titre}></td>
                    <td th:text=${livre.annee}></td>
                    <td th:text=${livre.prix}></td>
                    <td>
                        <a class="btn btn-danger btn-sm" th:href="@{/admin/livres/delete/{idl}(idl=${livre.id})}">Supprimer</a>
                        <a class="btn btn-success btn-sm">Modifier</a>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</body>
</html>